import { Router } from 'aurelia-router';
import { IAgGridView, BindableGridOptions } from './custom-ag-grid';
import { FilterViewBox } from './../../modules/dialogs/filter-view-box';
import { AgGridViewService } from './../../services/ag-grid-view-service';
import { CsvExportParams } from 'ag-grid-community';
import { GridOptions } from './utilities/ag-grid-helpers';
import { I18N } from 'aurelia-i18n';
import { Disposable, BindingEngine } from 'aurelia-binding';
import { Config } from '../../config';
import { CustomLogger } from './../../modules/custom-logger';
import { Box } from './../../modules/box';
import { AgGridView, CsvExportConfig } from './../../model/common-model';
import { Datacontext } from './../../data/data-context';
import { AuthService } from '../../security/auth-service';
export declare class GridHeaderBar {
    bindingEngine: BindingEngine;
    i18n: I18N;
    private box;
    private router;
    private logger;
    private authService;
    private config;
    private element;
    title: string;
    addFn: Function;
    deleteFn: Function;
    canAdd: boolean;
    canDelete: boolean;
    canBack: boolean;
    canUseView: boolean;
    canUseFilter: boolean;
    canUseParameters: boolean;
    canResetFilters: boolean;
    canExport: boolean;
    showViewBox: boolean;
    canShowAllView: boolean;
    agGridViewList: Array<AgGridView>;
    gridOptions: GridOptions;
    showFilterBox: boolean;
    showParametersViewBox: boolean;
    afterResetFilters: Function;
    datacontext: Datacontext;
    afterSetAgGridView: (agGridView: IAgGridView) => void;
    agGridViewModuleView: string;
    options: BindableGridOptions;
    selectAll: Function;
    csvExportConfig: CsvExportConfig;
    private agGridSearch;
    private columnSearch;
    private dropView;
    private showAllView;
    private showAllViewChanged;
    protected gridViewService: AgGridViewService;
    private agGridViewUserService;
    private agGridSortingHelper;
    private fixedFiltersObserverDisabled;
    disposables: Array<Disposable>;
    filterViewBox: FilterViewBox;
    private agGridViewBox;
    private defaultAgGridView;
    private viewParameterBox;
    private firstTime;
    constructor(bindingEngine: BindingEngine, i18n: I18N, box: Box, router: Router, logger: CustomLogger, authService: AuthService, config: Config, element: Element);
    attached(): void;
    bind(): void;
    private onAdjustColumnsChanged;
    detached(): void;
    get internalCanResetFilters(): boolean;
    resetFilters(): void;
    addAgGridView(): Promise<void>;
    setAgGridView(agGridView: AgGridView): Promise<void>;
    toggleFloatingRow(floatingFilter?: boolean): Promise<void>;
    showAgGridViewBox(): Promise<void>;
    copyAgGridView(agGridView: AgGridView): Promise<void>;
    loadAgGridViewData(forceLoad?: boolean): Promise<void>;
    getCsvExportParams(): CsvExportParams;
    exportToCsv(): Promise<void>;
    showParametersBox(): Promise<void>;
}
